var mastergolongan=(function(){
	var hal=0;
	var jumlah=30;
	var idmastergolongan=0;
	return{
		caricanggih:function(){
			mload.sh();
			var ik_data = {ajax: 1,mode: "mod",cl: "mastergolongan",
				ikdata: {0:"datacari01",1:1}
			};
			
			$.ajax({url: lokal+"man.ajax.php",type: "POST",dataType: "json",async:true,data: ik_data,
				success: function(e){
					mload.hd();
					if(e!=false){
						var boxcari;
						var obj=new Object;
						obj.proses=function(a){
							$("#cari").val(a);
							boxcari.tutup();
							document.getElementById("btcari").click();
						};
						var datacari={"data":e,"proses":obj}
						boxcari=caricanggih.buka(datacari);
					}
				}
			});
		},
		enter:function(e){
			if(e.which == 13 || e.keyCode == 13){
				mastergolongan.loade();
			}
		},
		loade:function(){
			$("#hal_ke").val(0);
			mastergolongan.load();
		},
		load:function(){
			var nohal=$("#hal_ke").val()
			jumlah=$("#jumlah_hal").val();
			hal=(nohal-1)*jumlah;
			var cr=$("#cari").val();
			
			$("#grid_mastergolongan").html("");
			var loaderdatagolongan=mload.loading({"el":"loader_data_golongan"});
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "mastergolongan",
				ikdata: {0:"getTabel",1:hal,2:jumlah,3:cr}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					loaderdatagolongan.tutup();
					//alert(JSON.stringify(e));
					if(e!=false && e.length>0){
						
						if(e.length>0 && e[0]['halaman']>0){
							var htm;
							for(var i=0;i<e[0]['halaman'];i++){
								htm+="<option value='"+(i+1)+"'>"+(i+1)+"</option>";
							}
							$("#hal_ke").html(htm);
							
						}
						$("#hal_ke").val(nohal);
						
						var datatb={
							box:"grid_mastergolongan",
							data:e,
							lebarmin:"500px",
							trklik:{"data":"id","fungsi":"barisklik"},
							title:"kategori Menu",
							isi:[
									//{"col":"","judul":"No","tipe":"urut","align":"center","lebar":"50px","halaman":hal,"jumlah":jumlah},
									{"col":"id","judul":"ID Golongan","tipe":"data","lebar":"60px"},
									{"col":"kode","judul":"Kode Golongan","tipe":"data","lebar":"60px"},
									{"col":"nama","judul":"Nama Golongan","tipe":"data"},
									{"align":"center","judul":"Status","tipe":"tpl","tpl":"btstatus","lebar":"60px"},
									{"align":"center","judul":"","tipe":"tpl","tpl":"btedit","lebar":"60px"},
									
								],
							mod:"mod",
							module:"mastergolongan"
						};
						tabel.multisub(datatb);
					}else{
						loaderdatagolongan.pesan("BELUM ADA DATA");
					}
				}
			});
		},
		buat:function(a){
			document.location=lokal+"member/mod/mastergolongan?id="+a+"&scrmenu="+modmenu.getmenuscr();
		},
		kembali:function(){
			document.location=lokal+"member/mod/mastergolongan?scrmenu="+modmenu.getmenuscr();
		},
		edit:function(a){
			idmastergolongan=a;
		},
		simpan:function(){
			$("#loader_level_err").html("");
			var nm=$("#nama").val();
			var kd=$("#kode").val();
			var iddata=$("#iddata").val();
			var err="";
			if(nm=="") err+="Nama Golongan belum diisi.</br>";
			if(kd=="") err+="Kode Golongan kelamin belum diisi.</br>";
			if(iddata=="") err+="ID Golongan  belum diisi.</br>";
			
			if(err!=""){
				$("#loader_level_err").html(err);
				return;
			}
			var fg="inputmastergolongan";
			if(idmastergolongan>0){
				fg="editmastergolongan";
			}
			var loadersimpandata=mload.loader({"keterangan":"Proses simpan data.."});
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "mastergolongan",
				ikdata: {0:fg,
					iddata:iddata,
					nama:nm,kode:kd,
					id:idmastergolongan}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					
					if(e==1){
						mastergolongan.kembali();
					}else{
						loadersimpandata.error([{"pesan":"Gagal simpan data"}]);
					}
				}
			});
		},
		hapus:function(a){
			if(a<=0) return;
			var ps={"pesan":"Yakin akan menghapus data master golongan ini ??",
					"title":"Peringatan Hapus data"};
				
			var boxyesno=boxpesan.yesno(ps);
			boxyesno.proses.onclick=function(){
				
				boxyesno.tutup();
				var loadersimpandata=mload.loader({"keterangan":"Proses hapus data.."});
				var ik_data = {
					ajax: 1,
					mode: "mod",
					cl: "mastergolongan",
					ikdata: {0:"hapusData",id:a}
				};
				
				$.ajax({
					url: lokal+"man.ajax.php",
					type: "POST",
					dataType: "json",
					async:true,
					data: ik_data,
					success: function(e){
						if(e!=false){
							loadersimpandata.error([{"pesan":"Berhasil"}]);
							mastergolongan.load();
						}else{
							loadersimpandata.error([{"pesan":"Gagal hapus data"}]);
						}
					}
				});
			}
		},
		setstatus:function(a,b,c,d){
            var st=0;
            if(tabel.gettabel(b).getdata(c,"status")==0){
                st=1;
            }
            
            mload.loader();
            var ik_data = {
                ajax: 1,
                mode: "mod",
                cl: "mastergolongan",
                ikdata: {0:"setstatus",id:a,status:st}
            };
            
            $.ajax({
                url: lokal+"man.ajax.php",
                type: "POST",
                dataType: "json",
                async:true,
                data: ik_data,
                success: function(e){
                    
                    if(e==1){
                        
                        d.className="mini_dis";
                        if(st==1){
                            d.className="mini_ok";
                        }
                        tabel.gettabel(b).setdata(c,"status",st);
                        mload.tutup();
                    }else{
                        mload.error([{"pesan":"Status error"}]);
                    }
                }
            });
        },

	};
})();